• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

BDC5.0 - question about objectives

 
Sue Pillai
Ranch Hand
Posts: 89
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Just started preparing for the exam. I understand that EJB3.0 still supports entity beans. (and that it is both forward and backward compatible). But I don't see any objectives listed for entity bean lifecycle and contract. Does that mean I can safely ignore the entity bean part? I think the answer is yes, but could I get clarifications from BCD5.0 pros. I just did not want any gotchas in the last moment. Thank you.
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Don't even dream to about it

Java Persistence Entity Operations

  • Describe how to manage entities, including using the EntityManager API and the cascade option.
  • Identify correct and incorrect statements or examples about entity instance lifecycle, including the new, managed, detached, and removed states.
  • Identify correct and incorrect statements or examples about EntityManager operations for managing an instance's state, including eager/lazy fetching, handling detached entities, and merging detached entities.
  • Identify correct and incorrect statements or examples about Entity Listeners and Callback Methods, including: @PrePersist, @PostPersist, @PreRemove, @PostRemove, @PreUpdate, @PostUpdate, and @PostLoad, and when they are invoked.
  • Identify correct and incorrect statements about concurrency, including how it is managed through the use of @Version attributes and optimistic locking.

  •  
    Sue Pillai
    Ranch Hand
    Posts: 89
    • Mark post as helpful
    • send pies
    • Quote
    • Report post to moderator
    True. But aren't these objectives for the persistent entities, that is the pojo entities rather than the pre EJB3 entity beans? My doubt is do we need to know the pre EJB3.0 entity beans as well for the exam.
     
    Christophe Verré
    Sheriff
    Posts: 14691
    16
    Eclipse IDE Ubuntu VI Editor
    • Mark post as helpful
    • send pies
    • Quote
    • Report post to moderator
    My doubt is do we need to know the pre EJB3.0 entity beans as well for the exam.

    Oh sorry, you were talking about the old rusty beans ? No, they won't dare show their face at the exam.
     
    • Post Reply
    • Bookmark Topic Watch Topic
    • New Topic